<?php
/**
 * CSS Controller for YjContactUS Component
 * 
 * @package    
 * @subpackage Components
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

/**
 * CSS Controller
 */
class YjContactUSControllerYjCSS extends YjContactUSControllerLegacy{

	/**
	 * Class constructor.
	 *
	 * @param	array	$config	A named array of configuration variables.
	 *
	 * @return	JControllerForm
	 * @since	1.6
	 */
	function __construct($config = array()){
		parent::__construct($config);
	}
	
	function save_css(){
		$model = $this->getModel('yjcss');

		if ($model->save_css()) {
			$msg = JText::_( 'COM_YJCONTACTUS_CSS_FILE_SAVED' );
		} else {
			$msg = JText::_( 'COM_YJCONTACTUS_CSS_FILE_NOT_SAVED' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$this->setRedirect('index.php?option=com_yjcontactus&controller=yjcss&view=yjcss',$msg);
	}	
}