<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');

/**
 * Component Controller
 *
 * @package	
 */
class YjContactUSController extends YjContactUSControllerLegacy
{

	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct(){
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'send'	, 'send' );
	}


	/**
	 * Method to display the home page
	 *
	 * @access	public
	 */
	function display($cachable = false, $urlparams = array())
	{
		if(JRequest::getCmd( 'view' ) !== 'yjcontactus' ){
					JError::raiseError( 403, 'Layout is missing' );
					$false = false;
					return $false;
		}else{
		JRequest::setVar( 'view', 'yjcontactus' );
		JRequest::setVar( 'layout', 'default'  );
		$model = $this->getModel('yjcontactus');
			parent::display();
		}
	}
	
	function send(){
	
		JRequest::setVar( 'view', 'yjcontactus' );
		JRequest::setVar( 'layout', 'default'  );
		$model = $this->getModel('yjcontactus');
		$model->send_email();
		
		parent::display();	
	}
}